<app-spinner class="center-spinner"
             *ngIf="!isPageLoaded"></app-spinner>
<div id="bpmnDiagram"
     class="full-height-page-content">
</div>
<!-- TASK HOVER DETAILS -->
<div #taskHoverElRef
     style="display: none">

  <div *ngIf="selectedBpmn?.start"
       class="mat-table mat-elevation-z4 app-tooltip-bg copyof-mat-table-style"
       style="min-width:300px;"
       role="grid">
    <div class="mat-row"
         role="row">
      <div class="mat-header-cell mat-cell"
           role="gridcell">Start Date / Time:</div>
      <div class="mat-cell"
           role="gridcell"
           style="font-size:12px">{{selectedBpmn.start}}</div>
    </div>
    <div class="mat-row"
         role="row">
      <div class="mat-header-cell mat-cell"
           role="gridcell">End Date / Time:</div>
      <div class="mat-cell"
           role="gridcell"
           style="font-size:12px">{{selectedBpmn.end}}</div>
    </div>
    <!-- <div class="mat-row"
         role="row">
      <div class="mat-header-cell mat-cell"
           role="gridcell">Assignee</div>
      <div class="mat-cell"
           role="gridcell">{{selectedBpmn.assignee}}</div>
    </div> -->
    <div class="mat-row"
         role="row">
      <div class="mat-header-cell mat-cell"
           role="gridcell">Status:</div>
      <div class="mat-cell"
           role="gridcell">
        <app-status-indicator status="{{selectedBpmn.status}}"
                              type="phase"></app-status-indicator>
        <app-status-indicator status="{{task.status}}"
                              type="phase"
                              *ngFor="let task of subTasks"></app-status-indicator>
      </div>
      <!-- <div class="mat-cell"
           role="gridcell">{{selectedBpmn.status}}</div> -->
    </div>
  </div>
</div>
<!-- END OF TASK HOVER DETAILS -->

<!-- TIMER DURATION EDIT -->
<ng-template #durationTemplateRef>
  <div *ngIf="selectedItemType === 'click:timer'">
    <h2 mat-dialog-title>Timer Duration</h2>
    <button mat-dialog-close
            mat-icon-button
            title="close"
            class="btn-icon-dialog-close">
      <mat-icon>close</mat-icon>
    </button>
    <div mat-dialog-content
         style="padding-top:24px">
      <label>Duration (DD:HH:MM)
        <input matInput
               cdkFocusRegionstart
               #duration="ngModel"
               name="duration"
               [(ngModel)]="selectedBpmn.duration"
               class="native-form-control"
               placeholder="dd:hh:mm"
               pattern="^[0-9][0-9]:[0-2][0-9]:[0-5][0-9]$"
               required>
      </label>
      <button mat-flat-button
              class="btn-round"
              (click)="saveDuration()"
              [disabled]="saving || duration.invalid">Set<app-spinner button
                     class="inline-spinner"
                     *ngIf="saving"></app-spinner></button>
    </div>
  </div>
</ng-template>
